Bug 155075 - JJ: Podcast episode filename configuration
Summary: JJ: Podcast episode filename configuration
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Podcast (show other bugs)
Version: 2.3-GIT
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2008-01-04 14:01 UTC by Fabian Zeindl
Modified: 2011-05-30 21:18 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Zeindl 2008-01-04 14:01:14 UTC
Version:           1.4.8 (using KDE KDE 3.5.8)
Installed from:    Ubuntu Packages

I think the podcast-Interface as it is now is a little confusing when it comes to configuring storage folders.
I would suggest a new dialog for generic podcast configuration and some simple changes in the already existing dialogs:

1.) When I right-click on "podcasts" and select "configure", a dialog should pop up which could look like this:

-----------------------------------------------------------------
General Storage Folder: [/home/fabian/Podcasts     ]
  (PodCasts go in: /home/fabian/Podcasts/MyPodcastName)        <------- this is a helptext, maybe in italic

Filename:    ( ) as specified by the podcast
             ( ) custom: [%artist - %...]

Searchintervall:    4h
-----------------------------------------------------------------

* I can change the folder of all Podcasts on my system
* it's less confusing, cause at the moment the dialog presents me the folder of the first podcast as storage folder for all - what kind of sense does that make?
* the option for configuring the intervall isn't lost alone in the context menu anymore




2. The dialogs I get when I configure individual podcasts would look almost like they do now, except the top line.

-----------------------------------------------------------------
Storage Folder: ( ) generic: /home/fabian/Podcasts/MyPodcastName     <--- this is filled out automatically. it would
                ( ) custom:  [                                  ]         be good if one could rename the podcasts by
[ ] look for new episodes                                                 clicking on them or pressing F2.
...

< old dialog >

...
-----------------------------------------------------------------

* You can still configure more or all podcasts my selecting all, but you wouldn't mess up with the storage folder anymore, cause when you select "generic" every podcasts automagically gets his own folder right.
* You can still choose custom folders for indidual podcasts.
Comment 1 Fabian Zeindl 2008-01-04 15:13:54 UTC
Another problem at the moment is that when I configure all Podcasts and select a folder, new PodCasts will be in the amaroK default folder.
Comment 2 Bart Cerneels 2009-03-20 11:04:25 UTC
I've turned the filenaming part of this proposal into a Junior Job since it's a very good idea that can be implemented fairly easily by new contributors.

The rest of the issues:

* You can only configure one channel at a time now. So there is no longer the confusing situation where the folder was supposed to be the top level folder for all selected channels.

* The current way of setting the save location is very deliberate. We have considered putting the top-level save location in the main configuration, but ended up not because of config bloat.
I could potentially read it as a configuration of the SqlPodcastProvider though.

* I should really move the interval settings to the provider and channel config as well. (TODO)

Bart
Comment 3 coues ludovic 2009-08-23 19:35:29 UTC
This wish is in the Junior Job list from 2009-03-20, and related to amaroK 1.4.8
I think that this one should be closed.
Comment 4 Myriam Schweingruber 2009-08-23 23:20:25 UTC
I don't think so, Bart?
Comment 5 Bart Cerneels 2009-08-24 08:49:25 UTC
As said in #2 the file-naming part is still valid. I wish to preserve that part of the report. Feel free to make a new wish for it if this one is closed.
Comment 6 Myriam Schweingruber 2009-09-28 21:04:06 UTC
Bart, is this still valid in 2.2?
Comment 7 Stephen Baker 2010-01-15 23:28:50 UTC
Should the file naming go in the configure dialog (rather than pop up when you add a podcast)
Comment 8 Bart Cerneels 2010-01-16 13:29:00 UTC
I assume it would be rather annoying if it popped up each time, so it goes in the configuration dialog.
It can be a separate window though, like an many advanced settings have.
It will keep the standard size of the config dialog small (think netbook) but also makes it easier to implement this JJ since the dialog can be created separately using Qt Designer.
Comment 9 Stefan Derkits 2010-05-29 02:04:43 UTC
If this is still open I would like to take it, but it would take a little longer as I'm completly new to QT Programming :)
Comment 10 Stephen Baker 2010-06-01 18:39:43 UTC
Bart could confirm, but I'm not working on it and not much has changed in that respect between 2.2.x and 2.3.x so I think it's open.
Comment 11 Myriam Schweingruber 2010-06-01 18:57:37 UTC
Stefan, please get in touch with Bart in #amarok on irc.freenode.net, his nick is Stecchino
Comment 12 Stefan Derkits 2010-10-23 17:45:05 UTC
If someone else wants to do this Junior Job, it's free again ... maybe will do it one day if no one else does it, but no Time for it in the next Weeks/Months :)
Comment 13 Sandeep 2010-12-15 16:45:02 UTC
Hi,
I'd love to take up this junior job. Could someone guide me about what needs to be done? When you say the filenaming part needs to be done are you talking about the filename t=under which the podcast is stored?
Comment 14 Myriam Schweingruber 2010-12-15 23:49:01 UTC
Sandeep: it is available. Please get in touch with the developers in #amarok on irc.freenode.net (ask Stecchino, he is usually around during daytime in UTC+1) or write a mail to amarok-devel@kde.org
Comment 15 Bart Cerneels 2011-05-30 21:18:22 UTC
Git commit 76fb57b531810a36d79af70ffb6cc43883929b8b by Bart Cerneels.
Committed on 30/05/2011 at 20:37.
Pushed by shanachie into branch 'master'.

Add podcast episode filename configuration.

Patch by Sandeep Raghuraman.
FIXED-IN: 2.4.2
FEATURE: 155075
REVIEW: 100686

M  +2    -0    ChangeLog     
M  +2    -0    src/CMakeLists.txt     
A  +67   -0    src/core-impl/podcasts/sql/PodcastFilenameLayoutConfigDialog.cpp         [License: UNKNOWN]  *
A  +31   -0    src/core-impl/podcasts/sql/PodcastFilenameLayoutConfigDialog.h         [License: UNKNOWN]  *
A  +132  -0    src/core-impl/podcasts/sql/PodcastFilenameLayoutConfigWidget.ui     
M  +27   -2    src/core-impl/podcasts/sql/PodcastSettingsBase.ui     
M  +9    -0    src/core-impl/podcasts/sql/PodcastSettingsDialog.cpp     
M  +1    -0    src/core-impl/podcasts/sql/PodcastSettingsDialog.h     
M  +6    -3    src/core-impl/podcasts/sql/SqlPodcastMeta.cpp     
M  +4    -0    src/core-impl/podcasts/sql/SqlPodcastMeta.h     
M  +52   -5    src/core-impl/podcasts/sql/SqlPodcastProvider.cpp     
M  +0    -1    src/core/podcasts/PodcastMeta.h     

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/amarok/76fb57b531810a36d79af70ffb6cc43883929b8b